"use strict";
const common_vendor = require("../../../common/vendor.js");
const api_request = require("../../../api/request.js");
const _sfc_main = {
  __name: "testTimePopUp",
  props: ["pid"],
  setup(__props) {
    const cookie = common_vendor.wx$1.getStorageSync("cookie");
    const items = common_vendor.ref([null, null, null, null, null, null, null]);
    const father = __props;
    const pid = common_vendor.ref(0);
    const productInfo = common_vendor.ref({});
    const bookTimeList = common_vendor.ref([]);
    const textColor = common_vendor.ref(["#000", "#000", "#000", "#000", "#000", "#000", "#000"]);
    common_vendor.onLoad((options) => {
    });
    common_vendor.onMounted(() => {
      getProduct();
    });
    const choose = (index) => {
      console.log(textColor.value[index]);
      textColor.value[index] = "#C35C5D";
    };
    const getProduct = async () => {
      pid.value = father.pid;
      const res = await common_vendor.index.request({
        url: api_request.baseUrl + "/goods/service/list/id",
        method: "POST",
        data: { id: pid.value },
        header: { cookie }
      });
      console.log("后端传来的商品信息--->", res.data.data);
      if (res.data.code === 1) {
        productInfo.value = res.data.data;
        bookTimeList.value = res.data.data.appointmentDateVOList;
      }
      console.log("商品信息--->", productInfo.value);
      console.log("时间段信息--->", bookTimeList.value);
    };
    return (_ctx, _cache) => {
      return {
        a: productInfo.value.goodImg,
        b: common_vendor.t(productInfo.value.price),
        c: common_vendor.f(items.value, (item, index, i0) => {
          return {
            a: textColor.value[index],
            b: index,
            c: common_vendor.o(($event) => choose(index), index)
          };
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-ca17cad5"], ["__file", "D:/微信小程序/课设整合/匠承非遗小程序端/jiangchengfeiyi-xiaochengxu/pages/workshop/component/testTimePopUp.vue"]]);
wx.createPage(MiniProgramPage);
